# module ActiveRecord::Type

### Constants

BigInteger
Binary
Boolean
Decimal
Float
Helpers
Integer
String
Value

### Public Class Methods

register(type_name, klass = nil, **options, &block) click to toggle source

Add a new type to the registry, allowing it to be referenced as a symbol by ActiveRecord::Base.attribute. If your type is only meant to be used with a specific database adapter, you can do so by passing `adapter: :postgresql`. If your type has the same name as a native type for the current adapter, an exception will be raised unless you specify an `:override` option. `override: true` will cause your type to be used instead of the native type. `override: false` will cause the native type to be used over yours if one exists.

    # File lib/active_record/type.rb, line 35
    def register(type_name, klass = nil, **options, &block)
      registry.register(type_name, klass, **options, &block)
    end

### Private Class Methods

current_adapter_name() click to toggle source

    # File lib/active_record/type.rb, line 49
    def current_adapter_name
      ActiveRecord::Base.connection.adapter_name.downcase.to_sym
    end